summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Peter Drauden <pjdraud@ilstu.edu>2010-05-11 15:03:05 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:03:05 +0200
commitd9d0fb2ff7022290fca4679e587f75717b2c6291 (patch)
tree81c58ac0ca72171e20da65ad0f9a50ae571b9cbc /office
parent73e2f18cf1bfce210cdcb274c2dcda6ec8e20ac1 (diff)
downloadslackbuilds-d9d0fb2ff7022290fca4679e587f75717b2c6291.tar.gz
slackbuilds-d9d0fb2ff7022290fca4679e587f75717b2c6291.tar.xz
office/tth: Initial import
Diffstat (limited to 'office')
-rw-r--r--office/tth/README8
-rw-r--r--office/tth/slack-desc11
-rw-r--r--office/tth/tth.SlackBuild57
-rw-r--r--office/tth/tth.info8
4 files changed, 84 insertions, 0 deletions
diff --git a/office/tth/README b/office/tth/README
new file mode 100644
index 0000000000..e7804ddd45
--- /dev/null
+++ b/office/tth/README
@@ -0,0 +1,8 @@
+TTH: the TeX to HTML translator
+
+TTH translates TeX, the predominant mark-up language for
+expressing mathematics, into HTML, the language of world-wide-web
+browsers. It thereby enables mathematical documents to be made
+available on the web. Document structure, using either the Plain
+or LaTeX macro packages, is also translated and incorporated in
+the form of hyperlinks.
diff --git a/office/tth/slack-desc b/office/tth/slack-desc
new file mode 100644
index 0000000000..a931b11179
--- /dev/null
+++ b/office/tth/slack-desc
@@ -0,0 +1,11 @@
+tth: TTH: the TeX to HTML translator
+tth:
+tth: TTH translates TeX, the predominant mark-up language for
+tth: expressing mathematics, into HTML, the language of world-wide-web
+tth: browsers. It thereby enables mathematical documents to be made
+tth: available on the web. Document structure, using either the Plain
+tth: or LaTeX macro packages, is also translated and incorporated in
+tth: the form of hyperlinks.
+tth:
+tth: Homepage: http://hutchinson.belmont.ma.us/tth/
+tth: \ No newline at end of file
diff --git a/office/tth/tth.SlackBuild b/office/tth/tth.SlackBuild
new file mode 100644
index 0000000000..50bb1b194a
--- /dev/null
+++ b/office/tth/tth.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for tth
+# Written by Peter Drauden (pjdraud@ilstu.edu)
+# Modified by the SlackBuilds.org project
+# (assumed to be public domain per our submission policy)
+
+# Exit on most errors
+set -e
+
+PRGNAM=tth
+VERSION=3.77
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCDIR=tth_C
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCDIR
+tar -xzvf $CWD/tth_C.tgz
+cd $SRCDIR
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Compile and strip unneeded symbols from the binary
+gcc $SLKCFLAGS -o tth tth.c
+strip --strip-unneeded tth 2> /dev/null
+
+mkdir -p $PKG/usr/{bin,man/man1,share/pixmaps}
+cp -a tth ps2gif ps2png latex2gif $PKG/usr/bin/
+cp -a tth.gif $PKG/usr/share/pixmaps
+
+# Install and compress man page
+cat tth.1 | gzip -9c > $PKG/usr/man/man1/tth.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES tth_manual.html license.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/tth/tth.info b/office/tth/tth.info
new file mode 100644
index 0000000000..bc69923c34
--- /dev/null
+++ b/office/tth/tth.info
@@ -0,0 +1,8 @@
+PRGNAM="tth"
+VERSION="3.77"
+HOMEPAGE="http://hutchinson.belmont.ma.us/tth/"
+DOWNLOAD="http://hutchinson.belmont.ma.us/tth/tth-noncom/tth_C.tgz"
+MD5SUM="221c03ea603aba42d6dca8521f1bcc92"
+MAINTAINER="Peter Drauden"
+EMAIL="pjdraud@ilstu.edu"
+APPROVED="rworkman"